Bug 742166

Summary: Review Request: wmctrl - X Window Manager command-line tool
Product: [Fedora] Fedora Reporter: Jens Petersen <petersen>
Component: Package ReviewAssignee: Mario Bl├Ąttermann <mario.blaettermann>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: baransels, jpazdziora, mario.blaettermann, notting, package-review, patrick.m.lacasse
Target Milestone: ---Flags: mario.blaettermann: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: wmctrl-1.07-9.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-12-12 21:53:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jens Petersen 2011-09-29 09:44:28 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/wmctrl/wmctrl.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/wmctrl/wmctrl-1.07-8.fc16.src.rpm
Description: http://tomas.styblo.name/wmctrl

This is a 'classical' X windows winmgr tool that was orphaned
before F15 that I would like to revive since it is unique
and rather useful.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3387957
(AFAICT perl is broken right now in rawhide so I built for f16 instead.)

Comment 1 Mario Bl├Ąttermann 2011-10-04 18:28:47 UTC
$ rpmlint -i -v *
wmctrl.i686: I: checking
wmctrl.i686: W: spelling-error %description -l en_US resize -> reside, re size, re-size
The value of this tag appears to be misspelled. Please double-check.

wmctrl.i686: I: checking-url http://sweb.cz/tripie/utils/wmctrl (timeout 10 seconds)
wmctrl.i686: W: manual-page-warning /usr/share/man/man1/wmctrl.1.gz 62: warning: macro `ny' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

wmctrl.i686: E: incorrect-fsf-address /usr/share/doc/wmctrl-1.07/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

wmctrl.src: I: checking
wmctrl.src: W: spelling-error %description -l en_US resize -> reside, re size, re-size
The value of this tag appears to be misspelled. Please double-check.

wmctrl.src: I: checking-url http://sweb.cz/tripie/utils/wmctrl (timeout 10 seconds)
wmctrl.src: I: checking-url http://ftp.de.debian.org/debian/pool/main/w/wmctrl/wmctrl_1.07-6.diff.gz (timeout 10 seconds)
wmctrl.src: I: checking-url http://sweb.cz/tripie/utils/wmctrl/dist/wmctrl-1.07.tar.gz (timeout 10 seconds)
wmctrl.x86_64: I: checking
wmctrl.x86_64: W: spelling-error %description -l en_US resize -> reside, re size, re-size
The value of this tag appears to be misspelled. Please double-check.

wmctrl.x86_64: I: checking-url http://sweb.cz/tripie/utils/wmctrl (timeout 10 seconds)
wmctrl.x86_64: W: manual-page-warning /usr/share/man/man1/wmctrl.1.gz 62: warning: macro `ny' not defined
This man page may contain problems that can cause it not to be formatted as
intended.

wmctrl.x86_64: E: incorrect-fsf-address /usr/share/doc/wmctrl-1.07/COPYING
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

wmctrl-debuginfo.i686: I: checking
wmctrl-debuginfo.i686: I: checking-url http://sweb.cz/tripie/utils/wmctrl (timeout 10 seconds)
wmctrl-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/wmctrl-1.07/main.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

wmctrl-debuginfo.x86_64: I: checking
wmctrl-debuginfo.x86_64: I: checking-url http://sweb.cz/tripie/utils/wmctrl (timeout 10 seconds)
wmctrl-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/wmctrl-1.07/main.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

wmctrl.spec: I: checking-url http://ftp.de.debian.org/debian/pool/main/w/wmctrl/wmctrl_1.07-6.diff.gz (timeout 10 seconds)
wmctrl.spec: I: checking-url http://sweb.cz/tripie/utils/wmctrl/dist/wmctrl-1.07.tar.gz (timeout 10 seconds)
5 packages and 1 specfiles checked; 4 errors, 5 warnings.


Some ignoreable spelling errors, no real problem.

The incorrect FSF address is worth to ping the upstream developers, but you don't have to patch the appropriate files.

The .ny macro doesn't affect the man page viewer in any way, can also be ignored.



---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[.] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    1fe3c7a2caa6071e071ba34f587e1555  wmctrl-1.07.tar.gz
    1fe3c7a2caa6071e071ba34f587e1555  wmctrl-1.07.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[.] MUST: A package must own all directories that it creates.
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    Tested, works fine with Fluxbox.

[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[+] SHOULD: Your package should contain man pages for binaries/scripts.


----------------

PACKAGE APPROVED

----------------

Comment 2 Jens Petersen 2011-11-11 03:06:16 UTC
Oops, sorry I seemed to have missed the approval - thank you for the review.


New Package SCM Request
=======================
Package Name: wmctrl
Short Description: X Window Manager command-line tool
Owners: petersen
Branches: f15 f16 el6
InitialCC:

Comment 3 Gwyn Ciesla 2011-11-11 13:27:56 UTC
Looks like this is already unorphaned and you own it.

Comment 4 Jens Petersen 2011-11-14 09:16:48 UTC
Sorry, Jon


Package Change Request
======================
Package Name: wmctrl
New Branches: f16 el6
Owners: petersen

Comment 5 Gwyn Ciesla 2011-11-14 15:48:05 UTC
Git done (by process-git-requests).

NP.

Comment 6 Jens Petersen 2011-11-16 07:07:34 UTC
Package imported into pkg SCM.

Comment 7 Jens Petersen 2011-11-17 10:07:55 UTC
Requested unblocking: https://fedorahosted.org/fedora-infrastructure/ticket/3021

Comment 8 Jens Petersen 2011-11-17 10:12:14 UTC
Erm this: https://fedorahosted.org/rel-eng/ticket/4981

Comment 9 Fedora Update System 2011-11-29 04:51:34 UTC
wmctrl-1.07-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/wmctrl-1.07-9.el6

Comment 10 Fedora Update System 2011-12-01 01:43:41 UTC
wmctrl-1.07-9.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/wmctrl-1.07-9.fc15

Comment 11 Fedora Update System 2011-12-01 01:43:51 UTC
wmctrl-1.07-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wmctrl-1.07-9.fc16

Comment 12 Fedora Update System 2011-12-04 02:43:44 UTC
wmctrl-1.07-9.fc16 has been pushed to the Fedora 16 testing repository.

Comment 13 Fedora Update System 2011-12-12 21:53:16 UTC
wmctrl-1.07-9.fc15 has been pushed to the Fedora 15 stable repository.

Comment 14 Fedora Update System 2011-12-12 22:06:56 UTC
wmctrl-1.07-9.fc16 has been pushed to the Fedora 16 stable repository.

Comment 15 Fedora Update System 2011-12-16 17:41:40 UTC
wmctrl-1.07-9.el6 has been pushed to the Fedora EPEL 6 stable repository.